import { Response } from 'express';
import { createEventDto, eventFilterDto, updateEventDto } from './events.dto';
import { EventsService } from './events.service';
export declare class EventsController {
    private readonly service;
    constructor(service: EventsService);
    create(data: createEventDto, owner_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
    getAll(query: eventFilterDto, owner_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
    find(eventId: string, owner_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
    update(eventId: string, owner_id: string, data: updateEventDto, res: Response): Promise<Response<any, Record<string, any>>>;
    delete(eventId: string, owner_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
}
